package com.xinyilu.common.enums;

import lombok.Getter;

/**
 * @author ZH
 * @Description 项目编号枚举
 * @date 2023-08-8
 */
@Getter
public enum ScoreExportEnum {

    /**
     * 身高项目编号
     */
    HEIGHT_CODE("H001"),

    /**
     * 体重项目编号
     */
    WEIGHT_CODE("W001"),

    /**
     * BMI项目编号
     */
    BMI_CODE("BMI001"),

    /**
     * 立定跳远项目编号
     */
    LONG_JUMP_CODE("G-001"),

    /**
     * 双脚连续跳项目编号
     */
    CONTINUOUS_JUMP_CODE("G-002"),

    /**
     * 网球掷远项目编号
     */
    TENNIS_CODE("G-003"),

    /**
     * 走平衡木项目编号
     */
    BALANCE_BEAM_CODE("G-004"),

    /**
     * 坐位体前屈项目编号
     */
    SIT_AND_REACH_CODE("G-005"),

    /**
     * 10米折返跑项目编号
     */
    SHUTTLE_RUN_CODE("G-006"),

    /**
     * T跑项目编号
     */
    T_RUN_CODE("T-001"),

    /**
     * T立定跳远项目编号
     */
    T_LONG_JUMP_CODE("T-002"),

    /**
     * T单脚跳项目编号
     */
    T_HOP_CODE("T-003"),

    /**
     * T前跨跳项目编号
     */
    T_FORWARD_JUMP_CODE("T-004"),

    /**
     * T前滑步项目编号
     */
    T_FORWARD_SLIDING_STEP_CODE("T-005"),

    /**
     * T侧滑步项目编号
     */
    T_SIDE_STEP_CODE("T-006"),

    /**
     * T原地拍球项目编号
     */
    T_RACKET_BALL_CODE("T-007"),

    /**
     * T踢球项目编号
     */
    T_PLAY_FOOTBALL_CODE("T-008"),

    /**
     * T双手接球项目编号
     */
    T_TWO_HANDED_CATCH_CODE("T-009"),

    /**
     * T击固定球项目编号
     */
    T_FIXED_BALL_CODE("T-010"),

    /**
     * T上手投球项目编号
     */
    T_OVERHAND_PITCHING_CODE("T-011"),

    /**
     * T地滚球项目编号
     */
    T_GROUNDER_CODE("T-012"),
    ;
    final private String info;

    ScoreExportEnum(String info) {
        this.info = info;
    }
}